<?php namespace Phpcmf\Library;
/**
 * https://www.besyun.com
 * BESCMS
 * 本文件是框架系统文件，二次开发时不可以修改本文件，可以通过继承类方法来重写此文件
 **/

/**
 * seo输出
 */

class Seo {

    /**
     * 首页SEO信息
     *
     * @return  array
     */
    public function index() {

        return[
            'meta_title' => '内容建站插件版本需要升级之后才能显示seo信息',
        ];
    }


    /**
     * 模块SEO信息
     *
     * @return  array
     */
    public function module($mod) {
        return[
            'meta_title' => '内容建站插件版本需要升级之后才能显示seo信息',
        ];
    }


    /**
     * 模块搜索SEO信息
     */
    public function search($mod, $catid, $param, $page = 1) {
        return[
            'meta_title' => '内容建站插件版本需要升级之后才能显示seo信息',
        ];
    }

    /**
     * 模块栏目SEO信息
     *
     * @param   array   $mod
     * @param   array   $cat
     * @param   intval  $page
     * @return  array
     */
    public function category($mod, $catid, $page = 1) {
        return[
            'meta_title' => '内容建站插件版本需要升级之后才能显示seo信息',
        ];
    }

    /**
     * 模块内容SEO信息
     *
     * @param   array   $mod
     * @param   array   $cat
     * @param   intval  $page
     * @return  array
     */
    public function show($mod, $data, $page = 1) {
        return[
            'meta_title' => '内容建站插件版本需要升级之后才能显示seo信息',
        ];
    }

    // 替换seo信息字符
    public function get_seo_value($data, $seo) {

        $data['join'] = SITE_SEOJOIN;
        $rep = new \php5replace($data);

        foreach ($seo as $key => $value) {
            if (!$value || is_array($value)) {
                continue;
            }

            $seo[$key] = $rep->replace($value);
            $seo[$key] = str_replace(SITE_SEOJOIN.SITE_SEOJOIN, SITE_SEOJOIN, $seo[$key]);
            //$seo[$key] = htmlspecialchars(dr_clearhtml($seo[$key]));
            $seo[$key] = str_replace('"', '', $seo[$key]);
            $seo[$key] = str_replace([',,'], ',', $seo[$key]);
            $seo[$key] = trim($seo[$key], SITE_SEOJOIN);
            $seo[$key] = trim($seo[$key], ',');
            $seo[$key] = dr_safe_replace($seo[$key]);
        }

        return $seo;
    }

    // 用户中心seo
    public function member($menu) {

        return[
            'meta_title' => '内容系统插件版本需要升级之后才能显示seo信息',
        ];

    }

}